---
title: NoOpLogger
---

# NoOpLogger class

[`NoOpLogger`](../NoOpLoggerType/) is an implementation of [`IMySqlConnectorLogger`](../IMySqlConnectorLoggerType/) that does nothing.

```csharp
public sealed class NoOpLogger : IMySqlConnectorLogger
```

## Public Members

| name | description |
| --- | --- |
| [NoOpLogger](../NoOpLogger/NoOpLogger/)() | The default constructor. |
| [IsEnabled](../NoOpLogger/IsEnabled/)(…) | Returns `false`. |
| [Log](../NoOpLogger/Log/)(…) | Ignores the specified log message. |
| static [Instance](../NoOpLogger/Instance/) { get; } | Returns a singleton instance of [`NoOpLogger`](../NoOpLoggerType/). |

## Remarks

This is the default logging implementation unless [`Provider`](../MySqlConnectorLogManager/Provider/) is set.

## See Also

* interface [IMySqlConnectorLogger](../IMySqlConnectorLoggerType/)
* namespace [MySqlConnector.Logging](../../MySqlConnectorLoggingNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
